| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# cstool/primitives.h File Reference

Primitive Mesh Generator. More...

`#include "csextern.h"`
`#include "csgeom/vector3.h"`
`#include "csgeom/vector2.h"`
`#include "csutil/cscolor.h"`
`#include "csutil/dirtyaccessarray.h"`

Go to the source code of this file.

## Classes
class | csPrimitives
| A primitive mesh generator. More...

## Detailed Description

Primitive Mesh Generator.

Definition in file primitives.h.